/* Resetiranje podrazumijevanih stilova */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  /* Postavljanje osnovnih stilova tijela stranice */
  body {
    font-family: Arial, sans-serif;
    background-color: #f5f5f5;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  
  /* Stiliziranje glavnog kontejnera sadržaja */
  .content {
    max-width: 600px;
    width: 100%;
    padding: 20px;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.1);
  }
  
  /* Stiliziranje playera */
  .player {
    text-align: center;
    margin-bottom: 30px;
  }
  
  #audioImage {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    object-fit: cover;
    margin-bottom: 15px;
  }
  
  #title,
  #artist,
  #album {
    margin-bottom: 5px;
  }
  
  audio {
    width: 100%;
    margin-top: 15px;
  }
  
  /* Stiliziranje liste pjesama */
  .songsList {
    text-align: center;
    margin-bottom: 30px;
  }
  
  .availableSong {
    cursor: pointer;
    margin-bottom: 5px;
  }
  
  /* Stiliziranje upload sekcije */
  .upload {
    text-align: center;
  }
  
  #songUpload,
  #imageUpload {
    margin-bottom: 10px;
  }
  
  #titleInput,
  #authorInput,
  #albumInput {
    width: 100%;
    padding: 8px;
    margin-bottom: 10px;
    border-radius: 4px;
    border: 1px solid #ccc;
  }
  
  #btnUpload,
  #pickSong,
  #pickImg {
    padding: 8px 16px;
    border: none;
    border-radius: 4px;
    background-color: #1db954;
    color: #fff;
    cursor: pointer;
  }
  
  #btnUpload:hover,
  #pickSong:hover,
  #pickImg:hover {
    background-color: #168f3f;
  }
  
  /* Stiliziranje zaglavlja */
  h3 {
    margin-bottom: 10px;
    font-size: 18px;
  }
  
  p {
    font-size: 16px;
    margin-bottom: 5px;
  }
  

  @media (max-width: 768px) {
    .content {
      padding: 10px;
    }
    footer {
        text-align: center;
        margin-top: 50px;
        font-size: 14px;
        color: #888;
      }
      
      /* Dodavanje hover efekata */
      button:hover,
      .availableSong:hover {
        opacity: 0.8;
      }
      
      /* Stiliziranje placeholder teksta unutar input polja */
      input::placeholder {
        color: #ccc;
      }
      
      /* Podešavanje margin i paddinga za bolju čitljivost */
      p,
      h3 {
        margin: 0;
        padding: 0;
      }
    
  }
  

  .songsList p {
    font-size: 16px;
    position: relative;
    padding-left: 20px;
  }
  
  .songsList p::before {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 10px;
    height: 10px;
    border-top: 2px solid #000;
    border-left: 2px solid #000;
    border-radius: 50%;
    transition: transform 0.2s ease-in-out;
  }
  
  .songsList p::after {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 15px;
    height: 15px;
    border-bottom: 2px solid #000;
    border-left: 2px solid #000;
    border-radius: 50%;
    transition: transform 0.2s ease-in-out;
  }
  
  .songsList p:hover::before,
  .songsList p:hover::after {
    transform: scale(1.2);
  }

  .availableSong {
    cursor: pointer;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out;
    padding: 8px;
    border-radius: 4px;
  }
  
  .availableSong:hover,
  .availableSong:active {
    color: #1db954; /* Promjena boje teksta na hover i klik */
    background-color: #f5f5f5; /* Promjena boje pozadine na hover i klik */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* Dodavanje sjene na hover i klik */
  }

  h1 {
    font-size: 2em;
    text-align: center;
    margin-bottom: 20px;
  }
  
  h1 {
    font-size: 2em;
    text-align: center;
    margin-bottom: 20px;
  }
  
  /* Stilizacija opisa */
  .description {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    background-color: #f5f5f5;
    border-radius: 8px;
    margin-bottom: 20px;
  }
  
  .description p {
    font-size: 16px;
    line-height: 1.5;
    color: #333;
  }
  